FROM debian:buster
RUN apt-get update
RUN apt-get install -y git
RUN cd /
RUN mkdir /var/www 
RUN git clone https://albert.patera:pateraGitvz@gitlab.com/albert.patera/thingforlife.com.git
RUN mv thingforlife.com /var/www
RUN apt-get update && apt-get install -y php-cli
#I must insert data to database called "website"
RUN apt-get update
RUN apt-get install -y sudo 
RUN apt-get update && apt-get install -y mariadb-server
RUN sudo mysql --help
RUN ip addr

#RUN mysql -u root -p secret -h 127.0..0.1 -P 3306 
RUN sudo apt-get install curl php-cli php-mbstring git unzip
RUN curl -sS https://getcomposer.org/installer -o composer-setup.php
RUN HASH=544e09ee996cdf60ece3804abc52599c22b1f40f4323403c44d44fdfdd586475ca9813a858088ffbc1f233e9b180f061
#RUN php -r "if (hash_file('SHA384', 'composer-setup.php') === '$HASH') { echo 'Installer verified'; } else { echo 'Installer corrupt'; unlink('composer-setup.php'); } echo PHP_EOL;"
RUN sudo php composer-setup.php --install-dir=/usr/local/bin --filename=composer
RUN apt-get install -y php7.3-xml